using PlcSiemens.O;
using PlcSiemens.Protocol.Common;

namespace PlcSiemens.Protocol.ListBlocks
{
    public class BotItem
    {
        public ushort BlockNum { get; set; }
        public byte Unknown { get; set; }
        public BlockLangType BlockLang { get; set; }

        public void Build(ByteBuffer buffer)
        {
            BlockNum = buffer.PopUshort();
            Unknown = buffer.PopByte();
            BlockLang = (BlockLangType)buffer.PopByte();
        }
    }
}
